import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 授权相关MCP工具
 * 需要用户登录状态的操作
 */
export declare const authTools: Tool[];
/**
 * 授权工具处理器
 */
export declare class AuthToolHandler {
    private config;
    /**
     * 检查授权状态
     */
    handleCheckAuthStatus(_args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 点赞文章
     */
    handleLikeArticle(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    } | {
        content: {
            type: string;
            text: string;
        }[];
    }>;
    /**
     * 点赞沸点
     */
    handleLikePin(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    } | {
        content: {
            type: string;
            text: string;
        }[];
    }>;
    /**
     * 收藏文章
     */
    handleCollectArticle(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    } | {
        content: {
            type: string;
            text: string;
        }[];
    }>;
    /**
     * 关注用户
     */
    handleFollowUser(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    } | {
        content: {
            type: string;
            text: string;
        }[];
    }>;
    /**
     * 获取当前用户信息
     */
    handleGetUserProfile(_args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    } | {
        content: {
            type: string;
            text: string;
        }[];
    }>;
    /**
     * 授权要求响应
     */
    private authRequiredResponse;
}
export declare const authToolHandler: AuthToolHandler;
